module Main (main) where

import Test.Tasty

import qualified Test.Data.Buuka as Data.Buuka
import qualified Test.Data.Query as Data.Query
import qualified Test.Data.Functor.Foldable as Data.Functor.Foldable
import qualified Test.Database.Migrations as Database.Migrations

tests :: TestTree
tests = testGroup "buuka"
  [ Database.Migrations.tests
  , Data.Buuka.tests
  , Data.Functor.Foldable.tests
  , Data.Query.tests
  ]

main :: IO ()
main = defaultMain tests
